Upstream information

CVE-2022-2850 at MITRE

Description

A flaw was found In 389-ds-base. When the Content Synchronization plugin is enabled, an authenticated user can reach a NULL pointer dereference using a specially crafted query. This flaw allows an authenticated attacker to cause a denial of service. This CVE is assigned against an incomplete fix of CVE-2021-3514.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1202470 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container suse/389-ds:2.0-16.28
  • 389-ds >= 2.0.16~git20.219f047ae-150400.3.10.1
  • lib389 >= 2.0.16~git20.219f047ae-150400.3.10.1
  • libsvrcore0 >= 2.0.16~git20.219f047ae-150400.3.10.1
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Server Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • 389-ds >= 1.4.4.19~git46.c900a28c8-150300.3.22.1
  • 389-ds-devel >= 1.4.4.19~git46.c900a28c8-150300.3.22.1
  • lib389 >= 1.4.4.19~git46.c900a28c8-150300.3.22.1
  • libsvrcore0 >= 1.4.4.19~git46.c900a28c8-150300.3.22.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP3-2022-3029
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • 389-ds >= 2.0.16~git20.219f047ae-150400.3.10.1
  • 389-ds-devel >= 2.0.16~git20.219f047ae-150400.3.10.1
  • lib389 >= 2.0.16~git20.219f047ae-150400.3.10.1
  • libsvrcore0 >= 2.0.16~git20.219f047ae-150400.3.10.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2022-3286
openSUSE Leap 15.3
  • 389-ds >= 1.4.4.19~git46.c900a28c8-150300.3.22.1
  • 389-ds-devel >= 1.4.4.19~git46.c900a28c8-150300.3.22.1
  • 389-ds-snmp >= 1.4.4.19~git46.c900a28c8-150300.3.22.1
  • lib389 >= 1.4.4.19~git46.c900a28c8-150300.3.22.1
  • libsvrcore0 >= 1.4.4.19~git46.c900a28c8-150300.3.22.1
Patchnames:
openSUSE-SLE-15.3-2022-3029
openSUSE Leap 15.4
  • 389-ds >= 2.0.16~git20.219f047ae-150400.3.10.1
  • 389-ds-devel >= 2.0.16~git20.219f047ae-150400.3.10.1
  • 389-ds-snmp >= 2.0.16~git20.219f047ae-150400.3.10.1
  • lib389 >= 2.0.16~git20.219f047ae-150400.3.10.1
  • libsvrcore0 >= 2.0.16~git20.219f047ae-150400.3.10.1
Patchnames:
openSUSE-SLE-15.4-2022-3286


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 389-ds Not affected
SUSE Enterprise Storage 6 389-ds Not affected
SUSE Enterprise Storage 7 389-ds Already fixed
SUSE Enterprise Storage 7.1 389-ds Released
SUSE Linux Enterprise High Performance Computing 15 389-ds Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 389-ds Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS 389-ds Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS 389-ds Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 389-ds Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS 389-ds Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS 389-ds Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 389-ds Released
SUSE Linux Enterprise High Performance Computing 15 SP4 389-ds Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS 389-ds Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS 389-ds Not affected
SUSE Linux Enterprise Module for Server Applications 15 389-ds Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 389-ds Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 389-ds Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP3 389-ds Released
SUSE Linux Enterprise Module for Server Applications 15 SP4 389-ds Released
SUSE Linux Enterprise Real Time 15 SP2 389-ds Already fixed
SUSE Linux Enterprise Real Time 15 SP3 389-ds Affected
SUSE Linux Enterprise Server 15 389-ds Not affected
SUSE Linux Enterprise Server 15 SP1 389-ds Not affected
SUSE Linux Enterprise Server 15 SP1-BCL 389-ds Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS 389-ds Not affected
SUSE Linux Enterprise Server 15 SP2 389-ds Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL 389-ds Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS 389-ds Already fixed
SUSE Linux Enterprise Server 15 SP3 389-ds Released
SUSE Linux Enterprise Server 15 SP4 389-ds Released
SUSE Linux Enterprise Server 15-ESPOS 389-ds Not affected
SUSE Linux Enterprise Server 15-LTSS 389-ds Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 389-ds Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 389-ds Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 389-ds Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 389-ds Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 389-ds Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 389-ds Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 389-ds Released
SUSE Manager Proxy 4.0 389-ds Not affected
SUSE Manager Proxy 4.1 389-ds Already fixed
SUSE Manager Proxy 4.2 389-ds Released
SUSE Manager Proxy 4.3 389-ds Released
SUSE Manager Retail Branch Server 4.0 389-ds Not affected
SUSE Manager Retail Branch Server 4.1 389-ds Already fixed
SUSE Manager Retail Branch Server 4.2 389-ds Released
SUSE Manager Retail Branch Server 4.3 389-ds Released
SUSE Manager Server 4.0 389-ds Not affected
SUSE Manager Server 4.1 389-ds Already fixed
SUSE Manager Server 4.2 389-ds Released
SUSE Manager Server 4.3 389-ds Released
suse/389-ds 389-dsReleased


SUSE Timeline for this CVE

CVE page created: Tue Aug 16 20:00:33 2022
CVE page last modified: Thu Dec 1 00:25:28 2022